dots.v2.kubernetes.clusters.byCluster_id().status_messages.get()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.kubernetes.clusters.byCluster_id(cluster_id).status_messages.get(requestConfiguration?: RequestConfiguration<Status_messagesRequestBuilderGetQueryParameters>): Promise<undefined | Status_messagesGetResponse>Description
To retrieve status messages for a Kubernetes cluster, send a GET request to
/v2/kubernetes/clusters/{cluster_id}/status_messages. Status messages inform users of any issues that come up during the cluster lifecycle.
Parameters
Path Parameters
cluster_idstring requiredExample:
bd5f5959-5e1e-4205-a714-a914373942afA unique ID that can be used to reference a Kubernetes cluster.
Query Parameters
sincestring optionalExample:
2018-11-15T16:00:11ZA timestamp used to return status messages emitted since the specified time. The timestamp should be in ISO8601 format.
Request Sample
Response Example
More Information
See /v2/kubernetes/clusters/{cluster_id}/status_messages in the API reference for additional detail on responses, headers, parameters, and more.